Partially update a customer invoice
curl --request PATCH \
--url https://api.failfast.ai/account_receivable/invoice/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_fields": null,
"operation_number": 0,
"operation_date": "2023-11-07T05:31:56Z",
"status_description": "<string>",
"discount_percentage": "<string>",
"subtotal": "<string>",
"discount_value": "<string>",
"additional_discount_value": "<string>",
"total": "<string>",
"order_number": 0,
"description": "<string>",
"apply_taxes_by": true,
"invoice_electronic": true,
"is_directly_created": true,
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commercial_condition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price_list_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"international_trade_term": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tree_hash": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"salesman": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warehouse": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cash_register": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.failfast.ai/account_receivable/invoice/{id}/"
payload = {
"custom_fields": None,
"operation_number": 0,
"operation_date": "2023-11-07T05:31:56Z",
"status_description": "<string>",
"discount_percentage": "<string>",
"subtotal": "<string>",
"discount_value": "<string>",
"additional_discount_value": "<string>",
"total": "<string>",
"order_number": 0,
"description": "<string>",
"apply_taxes_by": True,
"invoice_electronic": True,
"is_directly_created": True,
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commercial_condition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price_list_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"international_trade_term": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tree_hash": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"salesman": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warehouse": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cash_register": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_fields: null,
operation_number: 0,
operation_date: '2023-11-07T05:31:56Z',
status_description: '<string>',
discount_percentage: '<string>',
subtotal: '<string>',
discount_value: '<string>',
additional_discount_value: '<string>',
total: '<string>',
order_number: 0,
description: '<string>',
apply_taxes_by: true,
invoice_electronic: true,
is_directly_created: true,
operation: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
market_exchange_rate: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
branch_office: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_detail: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
location: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
commercial_condition: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
discount_type: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
price_list_type: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
international_trade_term: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tree_hash: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
salesman: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
warehouse: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cash_register: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.failfast.ai/account_receivable/invoice/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"error": false,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"operation_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"discount_percentage": "<string>",
"subtotal": "<string>",
"discount_value": "<string>",
"additional_discount_value": "<string>",
"total": "<string>",
"member": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commercial_condition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"salesman": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"operation_number": 0,
"status_description": "<string>",
"order_number": 0,
"description": "<string>",
"apply_taxes_by": true,
"invoice_electronic": true,
"is_directly_created": true,
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price_list_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"international_trade_term": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tree_hash": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warehouse": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cash_register": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Accounts receivable
Partially update a customer invoice
PATCH
/
account_receivable
/
invoice
/
{id}
/
Partially update a customer invoice
Autorizaciones
Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.
Parámetros de ruta
A UUID string identifying this invoice.
Cuerpo
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
Rango requerido:
0 <= x <= 2147483647PR- ProvisionalCO- CompleteER- Error
Opciones disponibles:
PR, CO, ER Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Rango requerido:
-9223372036854776000 <= x <= 9223372036854776000FA- InvoiceRE- RemisionRF- Remision Invoiced
Opciones disponibles:
FA, RE, RF Respuesta
200 - application/json
⌘I

